GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Verify a company bank account

Verify a company bank account by confirming the two micro-deposits sent to the bank account.

Note that the order of the two deposits specified in request parameters does not matter. There's a maximum of 5 verification attempts, after which we will automatically initiate a new set of micro-deposits and require the bank account to be verified with the new micro-deposits.

Bank account verification in demo

In the demo environment, use the POST /v1/companies/{company_id}/bank_accounts/{bank_account_uuid}/send_test_deposits endpoint to simulate the micro-deposits transfer and return the two amounts in the response. You can call this endpoint as many times as you wish to retrieve the values of the two micro-deposits.

Webhooks

  • company.bank_account.verified: Fires when the company bank account is successfully verified.

Related guides

scope: company_bank_accounts:write

Path Params
string
required

The UUID of the company

string
required

The UUID of the company bank account

Body Params
float
required

The first micro-deposit amount (order does not matter).

float
required

The second micro-deposit amount (order does not matter).

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json